-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class aRelationKind

Declaration :

- C++ : enum aRelationKind
- Java : public final class aRelationKind

The king of a relation, returned by UmlBaseRelation::RelationKind()

Artifact : aRelationKind

Items :

- anAssociation
- aDirectionalAssociation
- aGeneralisation
- anAggregation
- anAggregationByValue
- aDirectionalAggregation
- aDirectionalAggregationByValue
- aDependency
- aRealization